JetPack 4.2 Flashing Issues and how to resolve

@aschofield: If you monitor dmesg (use “dmesg --follow” so you see live updates), then as you plug in the USB cable with the virtual ethernet the MAC address should show up. With that it should be possible to configure the host to use that virtual adapter.

You shouldn’t need any special drivers, but I remember one person going so far as to temporarily disable the actual wired ethernet and WiFi…the NetworkManager is intended to deal with switching interfaces as WiFi goes up and down and sometimes gets in the way more than it helps. NetworkManager could be giving you problems right now by thinking it is smarter than it really is. Disabling the wired ethernet and the WiFi on your host could in theory cause NetworkManager to actually want to use the virtual USB ethernet. If all else fails, then momentarily disable your other ethernet/WiFi, and once USB virtual is in, then add the other back.

anyone encountering issues with the aerocore 2 board and TX2 – please feel free PM me – I burned hours and hours going through how to build a px4 and tx2 disc image – could not find a single link to a disk image download anywhere – turns out link just not posted on the carriers website but it is available. contact them nicely for it … or message me … i wish i had known that

@linuxdev : i did the dmesg --follow but nothing came up. i tried every usb port on both devices.
i’ve now run my laptop up with 16.04 and going to use the previous version of jetpack.

cheers

If the ethernet did not show up, then probably the Jetson wasn’t booted (the virtual ethernet provided by the Jetson which the host can see is in software). Are you sure the Jetson was fully booted prior to connecting the USB (recovery mode must be avoided at this stage)?

The prior version might be ok for your purposes, but Ubuntu 18.04 will be supported longer than 16.04. In the long run you will probably benefit if you can go with 18.04 (R32.1).

It was fully booted. I have a separate monitor hooked up to the tx2.
I’m wondering if it is because it’s not an nvidia dev reference board.
It’s this unit http://hkftp.zotac.com/External/PCPSol_Brochure/2019/N340N3-B_ProductBrochure.pdf
Either way I think in a future version of sdk manager it would be good if it was not reliant on USB network and could just use the standard Ethernet to install the sdk.
Cheers

Aha! That does change things…a lot. I do not know what changes that board introduces, but I’ll restate a few things and relate to custom boards…

Actual flash requires the TX2 to be in recovery mode. The micro-B USB connector turns into a custom device when in recovery mode, and the driver package used in flashing understands this custom device.

Extra packages are not added during flash…the flash results in the unit rebooting, and then the extra packages are added over wired ethernet. SDK Manager is aware of an ability to use the micro-B USB to create a virtual network interface, and that network interface runs on the TX2, but is loaded over USB by the PC host (the older JetPack used actual wired ethernet…technically the USB virtual is wired ethernet, but the host sets this up differently than the case of a real ethernet). Thus you must have the micro-B USB, and that USB must be set up to work with device mode.

Normally a USB connector is host mode and you can plug in a keyboard/mouse. In device mode the Jetson becomes a device itself (as an example a device mode port could make the Jetson appear that it is a mass storage device or a keyboard…in this case it has become a virtual/synthetic ethernet adapter). Recovery mode is one example, but during normal non-recovery-mode operation this connector has an ability to become different devices. The port is actually a “micro-OTG” (“on the go”) port and accepts either a type-A or type-B connector, and has a detect pin to see when the inserted cable is a type-B. The type-B triggers device mode and triggers the appearance of being a network card (when booted normally and using this L4T release device mode cables the micro-B cable will pretend to be a network card).

The device tree and some software is required for the virtual NIC to show up, and your custom carrier needs some support package edits for this to work. Those edits appear to be missing and must be provided by the manufacturer of the carrier board. Thus the micro-B cannot become a virtual NIC. Without this you cannot install extra packages without manual intervention (in past JetPack releases the real ethernet could be used for this purpose, but was eliminated in SDKM).

Your first choice is to get whatever customization content is required for that carrier board and flash using that. This would make enable micro-B port…which in turn would make the USB virtual ethernet card work.

If you cannot get the device tree or other modifications for using this alternate carrier board, then you have to install the “.deb” files manually. I will assume this is the case, but there will be other non-functional components to your TX2 if the device tree from the particular carrier board is not put in place…I do not know what piece of the TX2 will be failing since I do not know what customizations this alternate carrier board uses.

However, to install the packages manually, notice that if you didn’t tell SDK Manager to clean up after, then even the failed extra package step will have produced files you can add manually. In what follows I won’t guarantee that install order won’t need to change since I’m only doing this from memory and not testing, but keep in mind that if something is missing in a dpkg install step, or if out of order, then you simply need to name all of the packages in a single “dpkg -i …” install step and dpkg should sort it out. One thing which is certain is that the repos must be added first, and that the CUDA repo must be the first of all repos.

On your host PC these will be located at “~/Downloads/nvidia/sdkm_downloads/”. Within these the install order matters. I am going to assume you have copied any relevant files over to your Jetson. As an example I am assuming your login on the TX2 is user “ubuntu” and that you have actual ssh access. I am abbreviating the TX2 IP address as “”. From the host PC:

cd ~/Downloads/nvidia/sdkm_downloads
# We will make a mirror of this directory on the Jetson, though only for Jetson related files.
ssh ubuntu@<tx2>
cd Downloads
mkdir -p nvidia/sdkm_downloads
exit
# You are now back on the PC. "arm64" is the Jetson architecture, amd64 is the PC architecture.
scp *arm64*.deb ubuntu@<tx2>:~/Downloads/nvidia/sdkm_downloads/
ssh ubuntu@<tx2>
sudo -s
cd Downloads/nvidia/sdkm_downloads
dpkg -i cuda*repo*.deb
apt update
# At this point you have the CUDA repos and apt can use them. Now add the VisionWorks repos:
dpkg -i libvisionworks*repo*.deb
apt update
# At this point you also have the VisionWorks repos and can add those packages.
# Now add what remains (those back quotes are important and executes the ls command and
# substitutes the result):
dpkg -i `ls *.deb | grep -v repo`

You may be interested to know these non-deb files are present:

devtools_docs.zip
Jetson_Linux_R32.1.0_aarch64.tbz2
NVIDIA_VisionWorks_References.zip
sdkml3_jetpack_l4t_42.json
Tegra_Linux_Sample-Root-Filesystem_R32.1.0_aarch64.tbz2
Tegra_Multimedia_API_R32.1.0_aarch64.tbz2

The sample root filesystem is used for flash. The json file is a manifest for finding and downloading files. The Tegra_Multimedia_API_R32.1.0_aarch64.tbz2 file is for the multimedia API support and example code (you can unpack it and see if you want it). NVIDIA_VisionWorks_References.zip is what it looks like. All of those files being added in the right order is what SDKM would have done if the micro-B USB were set up with the correct device tree for the custom carrier board.

1 Like

@linuxdev Many thanks for this info. I will go through this and attempt upgrading my TX2 using the 18.04 host, just not sure if ill get a chance this week.
Thus you must have the micro-B USB, and that USB must be set up to work with device mode.
It’s actually just a normal usb port i plug into on the tx2 to do the recovery flash so maybe it being a custom board and the way the old jetpack was installed (the older JetPack used actual wired ethernet…) the manufacturer may not have setup that usb port to work like an OTG outside of recovery mode… not sure but at least i can try the manual way now.

Many thanks

So long as the correct OTG port pins are present, and perhaps additionally some PINMUX setup is completed, then the rest of the OTG programming is from the actual NVIDIA installation. The PINMUX and device tree make the port available if the pins exist, and then the standard installation itself (not a manufacturer customization) will make the OTG software setup available (the content in “/opt/nvidia/l4t-usb-device-mode/” is the virtual ethernet and some sample bulk storage).

My TX2 has crashed and is a failure mode.
When I turn it on i simply get a terminal after some initial text (no log on or other graphics)
I can get it into Force recovery mode, but sdkmanager fails, also does.
sudo ./flash.sh jetson-tx2 mmcblk0p1
###############################################################################

L4T BSP Information:

R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64,

DATE: Wed Mar 13 07:41:08 UTC 2019

###############################################################################

Target Board Information:

Name: jetson-tx2, Board Family: t186ref, SoC: Tegra 186,

OpMode: production, Boot Authentication: NS,

###############################################################################
./tegraflash.py --chip 0x18 --applet “/home/ubioscope/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310/Linux_for_Tegra/bootloader/mb1_recovery_prod.bin” --skipuid --cmd “dump eeprom boardinfo cvm.bin”
/usr/bin/env: ‘python’: No such file or directory

python and xterm are installed (with apt-get)

Any suggestions?

SDK Manager is looking for Python 2 (python2.7), and the default of a host PC with Ubuntu 18.04 is Python 3. I think just naming “python” will install “python2”:

sudo apt install -y python

If in doubt you can run “apt search python2”.

Thank you! This resolved all issues.
sdkmanger now works.
The confusion was that I tried to install python2 at the TX2, not the HOST.

I get the following message when trying to install python. Does anyone know what’s wrong?

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 python : PreDepends: python-minimal (= 2.7.15~rc1-1) but it is not going to be installed
          Depends: python2.7 (>= 2.7.15~rc1-1~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I am using the SDK manager. The flashing was successful. However, the SDK installation now fails. I got a pop-up notification during the installation that said “Activation of network connection failed.” This pops up every once in a while, even after the installation quit.

What should I do? Thanks in advance.

Below is the terminal output. The error messages appear at the 6th from last line and the last line.

10:50:13 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
    10:50:13 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
    10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    10:50:13 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
    10:50:13 INFO : CUDA Toolkit for L4T : else
    10:50:13 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
    10:50:13 INFO : CUDA Toolkit for L4T : fi
    10:50:13 INFO : CUDA Toolkit for L4T : done
    10:50:13 INFO : CUDA Toolkit for L4T : }
    10:50:13 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
    10:50:13 INFO : CUDA Toolkit for L4T : function safe_apt_install {
    10:50:13 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
    10:50:13 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
    10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    10:50:13 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
    10:50:13 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
    10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    10:50:13 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    10:50:13 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
    10:50:13 INFO : CUDA Toolkit for L4T : else
    10:50:13 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
    10:50:13 INFO : CUDA Toolkit for L4T : fi
    10:50:13 INFO : CUDA Toolkit for L4T : done
    10:50:13 INFO : CUDA Toolkit for L4T : }
    10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb" 5
    10:50:13 INFO : CUDA Toolkit for L4T : sleep 5
    10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-key add /var/cuda-repo-*-local*/*.pub" 5
    10:50:13 INFO : CUDA Toolkit for L4T : sleep 2
    10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y update" 5
    10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get install -y gnupg" 5
    10:50:13 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin" 5
    10:50:13 INFO : CUDA Toolkit for L4T : grep -q 'export PATH=.*/usr/local/cuda-10.0/bin' ~/.bashrc || echo 'export PATH=/usr/local/cuda-10.0/bin:$PATH'>>~/.bashrc
    10:50:13 INFO : CUDA Toolkit for L4T : grep -q 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64' ~/.bashrc || echo 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64:$LD_LIBRARY_PATH' >> ~/.bashrc
    10:50:13 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
    10:50:13 INFO : CUDA Toolkit for L4T : **********************
    10:50:13 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
    10:50:13 INFO : CUDA Toolkit for L4T : [target] farsightuser@192.168.55.1's password:
    10:50:13 INFO : CUDA Toolkit for L4T :
    10:50:13 INFO : CUDA Toolkit for L4T : [target] farsightuser@192.168.55.1's password:
    10:50:13 INFO : CUDA Toolkit for L4T :
    10:50:14 INFO : CUDA Toolkit for L4T : *begin sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb, 5
    10:50:14 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsightuser:
    10:50:14 INFO : CUDA Toolkit for L4T :
    10:50:14 INFO : CUDA Toolkit for L4T : Selecting previously unselected package cuda-repo-l4t-10-0-local-10.0.166.
    10:50:14 INFO : CUDA Toolkit for L4T : (Reading database ... 117136 files and directories currently installed.)
    10:50:14 INFO : CUDA Toolkit for L4T : Preparing to unpack .../cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb ...
    10:50:14 INFO : CUDA Toolkit for L4T : Unpacking cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
    10:50:21 INFO : CUDA Toolkit for L4T : Setting up cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
    10:50:21 INFO : CUDA Toolkit for L4T :
    10:50:21 INFO : CUDA Toolkit for L4T : The public CUDA GPG key does not appear to be installed.
    10:50:21 INFO : CUDA Toolkit for L4T : To install the key, run this command:
    10:50:21 INFO : CUDA Toolkit for L4T : sudo apt-key add /var/cuda-repo-10-0-local-10.0.166/7fa2af80.pub
    10:50:21 INFO : CUDA Toolkit for L4T :
    10:50:26 INFO : CUDA Toolkit for L4T : *begin sudo apt-key add /var/cuda-repo-*-local*/*.pub, 5
    10:50:26 INFO : CUDA Toolkit for L4T : Warning: apt-key output should not be parsed (stdout is not a terminal)
    10:50:26 INFO : CUDA Toolkit for L4T : OK
    10:50:28 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y update, 5
    10:50:29 INFO : CUDA Toolkit for L4T : Reading package lists...
    10:50:29 INFO : CUDA Toolkit for L4T : E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
    10:50:29 INFO : CUDA Toolkit for L4T : E: Unable to lock directory /var/lib/apt/lists/
    10:50:29 INFO : CUDA Toolkit for L4T : Reading package lists...
    10:50:29 INFO : CUDA Toolkit for L4T : E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
    10:50:29 INFO : CUDA Toolkit for L4T : E: Unable to lock directory /var/lib/apt/lists/
    10:50:29 INFO : CUDA Toolkit for L4T : Waiting 5 seconds for apt to be available
    10:50:34 INFO : CUDA Toolkit for L4T : Get:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
    10:50:34 INFO : CUDA Toolkit for L4T : Ign:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
    10:50:34 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
    10:50:34 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
    10:50:34 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
    10:50:34 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
    10:50:34 INFO : CUDA Toolkit for L4T : Get:4 file:/var/cuda-repo-10-0-local-10.0.166 Packages [10.9 kB]
    10:51:00 INFO : CUDA Toolkit for L4T : Err:5 http://ports.ubuntu.com/ubuntu-ports bionic InRelease
    10:51:00 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    10:51:05 INFO : CUDA Toolkit for L4T : Err:6 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease
    10:51:05 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    10:51:15 INFO : CUDA Toolkit for L4T : Err:7 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease
    10:51:15 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    10:51:25 INFO : CUDA Toolkit for L4T : Err:8 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease
    10:51:25 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    10:51:26 INFO : CUDA Toolkit for L4T : Reading package lists...
    10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic/InRelease Could not resolve 'ports.ubuntu.com'
    10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-updates/InRelease Could not resolve 'ports.ubuntu.com'
    10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-backports/InRelease Could not resolve 'ports.ubuntu.com'
    10:51:26 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-security/InRelease Could not resolve 'ports.ubuntu.com'
    10:51:26 INFO : CUDA Toolkit for L4T : W: Some index files failed to download. They have been ignored, or old ones used instead.
    10:51:26 INFO : CUDA Toolkit for L4T : Waiting 5 seconds for apt to be available
    10:51:31 INFO : CUDA Toolkit for L4T : *begin sudo apt-get install -y gnupg, 5
    10:51:31 INFO : CUDA Toolkit for L4T : Reading package lists...
    10:51:31 INFO : CUDA Toolkit for L4T : Building dependency tree...
    10:51:31 INFO : CUDA Toolkit for L4T : Reading state information...
    10:51:31 INFO : CUDA Toolkit for L4T : gnupg is already the newest version (2.2.4-1ubuntu1.2).
    10:51:31 INFO : CUDA Toolkit for L4T : gnupg set to manually installed.
    10:51:31 INFO : CUDA Toolkit for L4T : The following packages were automatically installed and are no longer required:
    10:51:31 INFO : CUDA Toolkit for L4T : apt-clone archdetect-deb busybox-static cryptsetup-bin dpkg-repack
    10:51:31 INFO : CUDA Toolkit for L4T : gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 grub-common kde-window-manager kinit
    10:51:31 INFO : CUDA Toolkit for L4T : kio kpackagetool5 kwayland-data kwin-common kwin-data kwin-x11
    10:51:31 INFO : CUDA Toolkit for L4T : libdebian-installer4 libkdecorations2-5v5 libkdecorations2private5v5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5activities5 libkf5attica5 libkf5completion-data libkf5completion5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5declarative-data libkf5declarative5 libkf5doctools5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5idletime5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kcmutils-data
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5kcmutils5 libkf5kiocore5 libkf5kiontlm5 libkf5kiowidgets5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5 libkf5package-data
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5package5 libkf5plasma5 libkf5quickaddons5 libkf5solid5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5textwidgets-data libkf5textwidgets5 libkf5waylandclient5
    10:51:31 INFO : CUDA Toolkit for L4T : libkf5waylandserver5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5
    10:51:31 INFO : CUDA Toolkit for L4T : libkscreenlocker5 libkwin4-effect-builtins1 libkwineffects11
    10:51:31 INFO : CUDA Toolkit for L4T : libkwinglutils11 libkwinxrenderutils11 libqgsttools-p1 libqt5designer5
    10:51:31 INFO : CUDA Toolkit for L4T : libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins
    10:51:31 INFO : CUDA Toolkit for L4T : libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5opengl5
    10:51:31 INFO : CUDA Toolkit for L4T : libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5
    10:51:31 INFO : CUDA Toolkit for L4T : libqt5quickwidgets5 libqt5sensors5 libqt5sql5 libqt5test5 libqt5webchannel5
    10:51:31 INFO : CUDA Toolkit for L4T : libqt5webkit5 libxcb-composite0 libxcb-cursor0 libxcb-damage0 os-prober
    10:51:31 INFO : CUDA Toolkit for L4T : python3-dbus.mainloop.pyqt5 python3-icu python3-pam python3-pyqt5
    10:51:31 INFO : CUDA Toolkit for L4T : python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-sip
    10:51:31 INFO : CUDA Toolkit for L4T : qml-module-org-kde-kquickcontrolsaddons qml-module-qtmultimedia
    10:51:31 INFO : CUDA Toolkit for L4T : qml-module-qtquick2 rdate
    10:51:31 INFO : CUDA Toolkit for L4T : Use 'sudo apt autoremove' to remove them.
    10:51:32 INFO : CUDA Toolkit for L4T : 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    10:51:32 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin, 5
    10:51:32 INFO : CUDA Toolkit for L4T : Reading package lists...
    10:51:32 INFO : CUDA Toolkit for L4T : Building dependency tree...
    10:51:32 INFO : CUDA Toolkit for L4T : Reading state information...
    10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package libfreeimage-dev
    10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package libopenmpi-dev
    10:51:32 INFO : CUDA Toolkit for L4T : E: Unable to locate package openmpi-bin
    10:51:32 INFO : CUDA Toolkit for L4T : Unhandled error when running sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
    10:51:32 INFO : CUDA Toolkit for L4T : exit status 1
    10:51:32 INFO : CUDA Toolkit for L4T : [ Package Install Finished with Error ]
    10:51:32 ERROR : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
    10:51:32 INFO : CUDA Toolkit for L4T :
    10:51:32 INFO : CUDA Toolkit for L4T : [ 52.00 KB used. Disk Avail: 341.34 GB ]
    10:51:32 INFO : CUDA Toolkit for L4T : [ NV_L4T_CUDA_TARGET_POST_INSTALL_COMP Install took 1m57s ]
    10:51:32 INFO : CUDA Toolkit for L4T : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsightuser@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsightuser@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
    10:51:32 ERROR : CUDA Toolkit for L4T : command terminated with error
    10:51:53 INFO : CUDA Toolkit for L4T : Found file /home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb with correct checksum, skip downloading.
    11:10:36 DEBUG : CUDA Toolkit for L4T : running command < cd '/home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310' ; '/opt/nvidia/sdkmanager/resources/app/output/installUtils/adapter' -a='install' -c='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' -i='NV_L4T_CUDA_TARGET_POST_INSTALL_COMP' -v='10.0' -l='/home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310' -L='/home/rishabh/.nvsdkm/logs/JetPack_4.2_Linux' -p='9343' -t='P3310' -e='/home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb' >
    11:10:36 INFO : CUDA Toolkit for L4T : [ Disk Avail:341.34 GB ]
    11:10:36 INFO : CUDA Toolkit for L4T : Using GenericInstaller to Install NV_L4T_CUDA_TARGET_POST_INSTALL_COMP
    11:10:36 INFO : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP include 1 package
    11:10:36 INFO : CUDA Toolkit for L4T : [ Package Install Started ]
    11:10:36 INFO : CUDA Toolkit for L4T : current working directory is /home/rishabh/nvidia/nvidia_sdk/JetPack_4.2_Linux_P3310
    11:10:36 INFO : CUDA Toolkit for L4T : exec_command [target]:
    11:10:36 INFO : CUDA Toolkit for L4T : **********************
    11:10:36 INFO : CUDA Toolkit for L4T : #!/bin/bash
    11:10:36 INFO : CUDA Toolkit for L4T : set -e
    11:10:36 INFO : CUDA Toolkit for L4T :
    11:10:36 INFO : CUDA Toolkit for L4T : function safe_apt_install {
    11:10:36 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
    11:10:36 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
    11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:10:36 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:10:36 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
    11:10:36 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
    11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:10:36 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:10:36 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
    11:10:36 INFO : CUDA Toolkit for L4T : else
    11:10:36 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
    11:10:36 INFO : CUDA Toolkit for L4T : fi
    11:10:36 INFO : CUDA Toolkit for L4T : done
    11:10:36 INFO : CUDA Toolkit for L4T : }
    11:10:36 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
    11:10:36 INFO : CUDA Toolkit for L4T : sudo mkdir -p /opt/nvidia/deb_repos
    11:10:36 INFO : CUDA Toolkit for L4T : sudo chmod 777 /opt/nvidia/deb_repos
    11:10:36 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
    11:10:36 INFO : CUDA Toolkit for L4T : **********************
    11:10:36 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
    11:10:37 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
    11:10:37 INFO : CUDA Toolkit for L4T :
    11:10:38 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
    11:10:38 INFO : CUDA Toolkit for L4T :
    11:10:38 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsight:
    11:10:38 INFO : CUDA Toolkit for L4T :
    11:10:38 INFO : CUDA Toolkit for L4T : exec_command: scp -F /dev/null -o PubkeyAuthentication=no -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o ConnectTimeout=5 -r /home/rishabh/Downloads/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb farsight@192.168.55.1:/opt/nvidia/deb_repos/
    11:10:38 WARNING : CUDA Toolkit for L4T : Warning: Permanently added '192.168.55.1' (ECDSA) to the list of known hosts.
    11:10:38 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
    11:10:38 INFO : CUDA Toolkit for L4T :
    11:11:23 INFO : CUDA Toolkit for L4T : exec_command [target]:
    11:11:23 INFO : CUDA Toolkit for L4T : **********************
    11:11:23 INFO : CUDA Toolkit for L4T : #!/bin/bash
    11:11:23 INFO : CUDA Toolkit for L4T : set -e
    11:11:23 INFO : CUDA Toolkit for L4T :
    11:11:23 INFO : CUDA Toolkit for L4T : function safe_apt_install {
    11:11:23 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
    11:11:23 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
    11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:11:23 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
    11:11:23 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
    11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:11:23 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
    11:11:23 INFO : CUDA Toolkit for L4T : else
    11:11:23 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
    11:11:23 INFO : CUDA Toolkit for L4T : fi
    11:11:23 INFO : CUDA Toolkit for L4T : done
    11:11:23 INFO : CUDA Toolkit for L4T : }
    11:11:23 INFO : CUDA Toolkit for L4T : export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
    11:11:23 INFO : CUDA Toolkit for L4T : function safe_apt_install {
    11:11:23 INFO : CUDA Toolkit for L4T : echo "*begin $1, $2"
    11:11:23 INFO : CUDA Toolkit for L4T : tmp_log=/tmp/jetpack_dpkg_log.txt
    11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:11:23 INFO : CUDA Toolkit for L4T : while [ ${CMD_STATUS} -ne 0 ]; do
    11:11:23 INFO : CUDA Toolkit for L4T : if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
    11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f $tmp_log
    11:11:23 INFO : CUDA Toolkit for L4T : set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
    11:11:23 INFO : CUDA Toolkit for L4T : echo "Waiting $2 seconds for apt to be available"; sleep ${2}
    11:11:23 INFO : CUDA Toolkit for L4T : else
    11:11:23 INFO : CUDA Toolkit for L4T : echo "Unhandled error when running $1"; exit 1
    11:11:23 INFO : CUDA Toolkit for L4T : fi
    11:11:23 INFO : CUDA Toolkit for L4T : done
    11:11:23 INFO : CUDA Toolkit for L4T : }
    11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb" 5
    11:11:23 INFO : CUDA Toolkit for L4T : sleep 5
    11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-key add /var/cuda-repo-*-local*/*.pub" 5
    11:11:23 INFO : CUDA Toolkit for L4T : sleep 2
    11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y update" 5
    11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get install -y gnupg" 5
    11:11:23 INFO : CUDA Toolkit for L4T : safe_apt_install "sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin" 5
    11:11:23 INFO : CUDA Toolkit for L4T : grep -q 'export PATH=.*/usr/local/cuda-10.0/bin' ~/.bashrc || echo 'export PATH=/usr/local/cuda-10.0/bin:$PATH'>>~/.bashrc
    11:11:23 INFO : CUDA Toolkit for L4T : grep -q 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64' ~/.bashrc || echo 'export LD_LIBRARY_PATH=/usr/local/cuda-10.0/lib64:$LD_LIBRARY_PATH' >> ~/.bashrc
    11:11:23 INFO : CUDA Toolkit for L4T : sudo rm -f /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb
    11:11:23 INFO : CUDA Toolkit for L4T : **********************
    11:11:23 INFO : CUDA Toolkit for L4T : exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh"
    11:11:23 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
    11:11:23 INFO : CUDA Toolkit for L4T :
    11:11:23 INFO : CUDA Toolkit for L4T : [target] farsight@192.168.55.1's password:
    11:11:23 INFO : CUDA Toolkit for L4T :
    11:11:24 INFO : CUDA Toolkit for L4T : *begin sudo dpkg -i /opt/nvidia/deb_repos/cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb, 5
    11:11:24 INFO : CUDA Toolkit for L4T : [target] [sudo] password for farsight:
    11:11:24 INFO : CUDA Toolkit for L4T :
    11:11:24 INFO : CUDA Toolkit for L4T : Selecting previously unselected package cuda-repo-l4t-10-0-local-10.0.166.
    11:11:24 INFO : CUDA Toolkit for L4T : (Reading database ... 117136 files and directories currently installed.)
    11:11:24 INFO : CUDA Toolkit for L4T : Preparing to unpack .../cuda-repo-l4t-10-0-local-10.0.166_1.0-1_arm64.deb ...
    11:11:24 INFO : CUDA Toolkit for L4T : Unpacking cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
    11:11:31 INFO : CUDA Toolkit for L4T : Setting up cuda-repo-l4t-10-0-local-10.0.166 (1.0-1) ...
    11:11:31 INFO : CUDA Toolkit for L4T :
    11:11:31 INFO : CUDA Toolkit for L4T : The public CUDA GPG key does not appear to be installed.
    11:11:31 INFO : CUDA Toolkit for L4T : To install the key, run this command:
    11:11:31 INFO : CUDA Toolkit for L4T : sudo apt-key add /var/cuda-repo-10-0-local-10.0.166/7fa2af80.pub
    11:11:31 INFO : CUDA Toolkit for L4T :
    11:11:36 INFO : CUDA Toolkit for L4T : *begin sudo apt-key add /var/cuda-repo-*-local*/*.pub, 5
    11:11:36 INFO : CUDA Toolkit for L4T : Warning: apt-key output should not be parsed (stdout is not a terminal)
    11:11:36 INFO : CUDA Toolkit for L4T : OK
    11:11:38 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y update, 5
    11:11:39 INFO : CUDA Toolkit for L4T : Get:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
    11:11:39 INFO : CUDA Toolkit for L4T : Ign:1 file:/var/cuda-repo-10-0-local-10.0.166 InRelease
    11:11:39 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
    11:11:39 INFO : CUDA Toolkit for L4T : Get:2 file:/var/cuda-repo-10-0-local-10.0.166 Release [574 B]
    11:11:39 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
    11:11:39 INFO : CUDA Toolkit for L4T : Get:3 file:/var/cuda-repo-10-0-local-10.0.166 Release.gpg [819 B]
    11:11:39 INFO : CUDA Toolkit for L4T : Get:4 file:/var/cuda-repo-10-0-local-10.0.166 Packages [10.9 kB]
    11:12:09 INFO : CUDA Toolkit for L4T : Err:5 http://ports.ubuntu.com/ubuntu-ports bionic InRelease
    11:12:09 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    11:12:19 INFO : CUDA Toolkit for L4T : Err:6 http://ports.ubuntu.com/ubuntu-ports bionic-updates InRelease
    11:12:19 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    11:12:29 INFO : CUDA Toolkit for L4T : Err:7 http://ports.ubuntu.com/ubuntu-ports bionic-backports InRelease
    11:12:29 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    11:12:39 INFO : CUDA Toolkit for L4T : Err:8 http://ports.ubuntu.com/ubuntu-ports bionic-security InRelease
    11:12:39 INFO : CUDA Toolkit for L4T : Could not resolve 'ports.ubuntu.com'
    11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
    11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic/InRelease Could not resolve 'ports.ubuntu.com'
    11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-updates/InRelease Could not resolve 'ports.ubuntu.com'
    11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-backports/InRelease Could not resolve 'ports.ubuntu.com'
    11:12:40 INFO : CUDA Toolkit for L4T : W: Failed to fetch http://ports.ubuntu.com/ubuntu-ports/dists/bionic-security/InRelease Could not resolve 'ports.ubuntu.com'
    11:12:40 INFO : CUDA Toolkit for L4T : W: Some index files failed to download. They have been ignored, or old ones used instead.
    11:12:40 INFO : CUDA Toolkit for L4T : *begin sudo apt-get install -y gnupg, 5
    11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
    11:12:40 INFO : CUDA Toolkit for L4T : Building dependency tree...
    11:12:40 INFO : CUDA Toolkit for L4T : Reading state information...
    11:12:40 INFO : CUDA Toolkit for L4T : gnupg is already the newest version (2.2.4-1ubuntu1.2).
    11:12:40 INFO : CUDA Toolkit for L4T : gnupg set to manually installed.
    11:12:40 INFO : CUDA Toolkit for L4T : The following packages were automatically installed and are no longer required:
    11:12:40 INFO : CUDA Toolkit for L4T : apt-clone archdetect-deb busybox-static cryptsetup-bin dpkg-repack
    11:12:40 INFO : CUDA Toolkit for L4T : gir1.2-timezonemap-1.0 gir1.2-xkl-1.0 grub-common kde-window-manager kinit
    11:12:40 INFO : CUDA Toolkit for L4T : kio kpackagetool5 kwayland-data kwin-common kwin-data kwin-x11
    11:12:40 INFO : CUDA Toolkit for L4T : libdebian-installer4 libkdecorations2-5v5 libkdecorations2private5v5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5activities5 libkf5attica5 libkf5completion-data libkf5completion5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5declarative-data libkf5declarative5 libkf5doctools5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5globalaccel-data libkf5globalaccel5 libkf5globalaccelprivate5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5idletime5 libkf5jobwidgets-data libkf5jobwidgets5 libkf5kcmutils-data
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5kcmutils5 libkf5kiocore5 libkf5kiontlm5 libkf5kiowidgets5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5newstuff-data libkf5newstuff5 libkf5newstuffcore5 libkf5package-data
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5package5 libkf5plasma5 libkf5quickaddons5 libkf5solid5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5solid5-data libkf5sonnet5-data libkf5sonnetcore5 libkf5sonnetui5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5textwidgets-data libkf5textwidgets5 libkf5waylandclient5
    11:12:40 INFO : CUDA Toolkit for L4T : libkf5waylandserver5 libkf5xmlgui-bin libkf5xmlgui-data libkf5xmlgui5
    11:12:40 INFO : CUDA Toolkit for L4T : libkscreenlocker5 libkwin4-effect-builtins1 libkwineffects11
    11:12:40 INFO : CUDA Toolkit for L4T : libkwinglutils11 libkwinxrenderutils11 libqgsttools-p1 libqt5designer5
    11:12:40 INFO : CUDA Toolkit for L4T : libqt5help5 libqt5multimedia5 libqt5multimedia5-plugins
    11:12:40 INFO : CUDA Toolkit for L4T : libqt5multimediaquick-p5 libqt5multimediawidgets5 libqt5opengl5
    11:12:40 INFO : CUDA Toolkit for L4T : libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5quick5
    11:12:40 INFO : CUDA Toolkit for L4T : libqt5quickwidgets5 libqt5sensors5 libqt5sql5 libqt5test5 libqt5webchannel5
    11:12:40 INFO : CUDA Toolkit for L4T : libqt5webkit5 libxcb-composite0 libxcb-cursor0 libxcb-damage0 os-prober
    11:12:40 INFO : CUDA Toolkit for L4T : python3-dbus.mainloop.pyqt5 python3-icu python3-pam python3-pyqt5
    11:12:40 INFO : CUDA Toolkit for L4T : python3-pyqt5.qtsvg python3-pyqt5.qtwebkit python3-sip
    11:12:40 INFO : CUDA Toolkit for L4T : qml-module-org-kde-kquickcontrolsaddons qml-module-qtmultimedia
    11:12:40 INFO : CUDA Toolkit for L4T : qml-module-qtquick2 rdate
    11:12:40 INFO : CUDA Toolkit for L4T : Use 'sudo apt autoremove' to remove them.
    11:12:40 INFO : CUDA Toolkit for L4T : 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    11:12:40 INFO : CUDA Toolkit for L4T : *begin sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin, 5
    11:12:40 INFO : CUDA Toolkit for L4T : Reading package lists...
    11:12:40 INFO : CUDA Toolkit for L4T : Building dependency tree...
    11:12:40 INFO : CUDA Toolkit for L4T : Reading state information...
    11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package libfreeimage-dev
    11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package libopenmpi-dev
    11:12:40 INFO : CUDA Toolkit for L4T : E: Unable to locate package openmpi-bin
    11:12:40 INFO : CUDA Toolkit for L4T : Unhandled error when running sudo apt-get -y --allow-downgrades install cuda-toolkit-10-0 libgomp1 libfreeimage-dev libopenmpi-dev openmpi-bin
    11:12:40 INFO : CUDA Toolkit for L4T : exit status 1
    11:12:40 INFO : CUDA Toolkit for L4T : [ Package Install Finished with Error ]
    11:12:40 ERROR : CUDA Toolkit for L4T : NV_L4T_CUDA_TARGET_POST_INSTALL_COMP command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
    11:12:40 INFO : CUDA Toolkit for L4T :
    11:12:40 INFO : CUDA Toolkit for L4T : [ 60.00 KB used. Disk Avail: 341.34 GB ]
    11:12:40 INFO : CUDA Toolkit for L4T : [ NV_L4T_CUDA_TARGET_POST_INSTALL_COMP Install took 2m4s ]
    11:12:40 INFO : CUDA Toolkit for L4T : command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh farsight@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no farsight@192.168.55.1 "~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh && rm -f ~/tmp_NV_L4T_CUDA_TARGET_POST_INSTALL_COMP.sh" finished with error
    11:12:40 ERROR : CUDA Toolkit for L4T : command terminated with error

you also need to copy from host to target the package libnvinfer-samples_5.0.6-1+cuda10.0_all.deb, which is a dependency of tensorrt and doesn’t contain “arm64” within its name. :P
By the way, your answer is amazing; I’m doing that way right now, will let you know if I succeed.

Once the flash completes the Jetson itself reboots. You should have created an account on the Jetson using the HDMI monitor/keyboard on this first boot. Once this is done the SDKM continues to the package install using ssh to copy over virtual ethernet. This is wired ethernet, but it is over the micro-B cable (USB-C for Xavier). Your host should see this as an ethernet NIC having been plugged in via the USB.

Two very common issues can arise.

  • One is that the default starting account is not added, e.g., due to not having an HDMI monitor during the boot. In that case ssh login is not possible. Once this is done you do not need to do this again unless you flash again.
  • The second is that the host did not set up to use the virtual ethernet NIC.

Did you create a login name on first boot of the Jetson? If so, then debug for the host not using the USB ethernet.

If you are monitoring host log messages via “dmesg --follow”, and you unplug and re-plug the USB you should see a note of a MAC address from the virtual ethernet device. In your host’s GUI there should be a configuration GUI for networking, and you can add this ethernet device (using the MAC address to identify it). When done these are the IP addresses for the virtual NIC:

Host:   192.168.55.100
Jetson: 192.168.55.1

Once the host sees the virtual ethernet you can test first just by pinging 192.168.55.1. If that works, then you can ssh to the login name and password you generated on first boot. If those succeed, then package install can succeed.

I had to set up the wifi on the target.

. It shows download completely successful .when I start to flash jeston TX2 through SDK manager, I set recovery mode manually .but it would be lost connection in a while .it occurs every time!

usb lsusb there is a nvidia crop .
what should I do

can sdk manager flash jeston tx2 on vm?

Hi everyone.
Presently I am working with NVIDIA jetson TX2 dev. kit with Jetpack 3.3 . for my deep learning based video processing research. I am using it as an edge device. Also using one SSD of 128 GB of WD. Now, I want to change the software to Jetpack 4.2 with facility of booting the OS from the SSD. This is required as I need more memory for my deep learning based applications. Jetsonhacks have uploaded a similar video regarding “NVIDIA Jetson SDK Manager - JetPack 4.2”. Only missing part for me is how to make setup for the development from the SSD. They have already made a similar video for Jetpavk 3.3, i.e. “Develop on SSD – NVIDIA Jetson TX1 and Jetson TX2”. Could you please any one one suggest how to change the jetpack version from 3…3 to 4.2 with development on SSD facility. One more doubt is, are all the jetson TX2 boards are compatible with Jetpack 4.2?

VMs are not supported, the USB is reattaching during flash, and VMs lose the USB. If you set up the VM correctly to completely own the USB and to own the virtual ethernet over USB later after flash completes and the Jetson reboots, then it should work.

So far as I know all TX2s are compatible with SDKM/JetPack4.2. Custom carrier boards still need a BSP from the manufacturer of the carrier board for that release.

If you want to mount an SSD for use as a separate partition after boot, then it is easy. Booting with an SSD as root partition can be a problem if the device can’t be seen from U-Boot (U-Boot needs to read “/boot” from the boot device…Linux never has issues with different devices, but U-Boot is more limited in what it understands). Others may have advice on what SSDs work as a boot device.

A couple of good choices for SSD if not using it as the boot device is to mount a partition on “/usr/local/”, and on “/home”.